Last Comment Bug 585845 - Bookmark sync for Seamonkey can be enabled
: Bookmark sync for Seamonkey can be enabled
Status: RESOLVED FIXED
:
Product: Cloud Services
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: 1.5
Assigned To: Igor Velkov
:
:
Mentors:
Depends on:
Blocks: 590633
  Show dependency treegraph
 
Reported: 2010-08-09 19:49 PDT by Igor Velkov
Modified: 2010-08-25 12:03 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
enable bookmark sync for seamonkey (921 bytes, patch)
2010-08-10 10:08 PDT, Igor Velkov
no flags Details | Diff | Splinter Review
enable bookmark sync for seamonkey and bump compat info (1.60 KB, patch)
2010-08-16 09:21 PDT, Igor Velkov
mconnor: review+
Details | Diff | Splinter Review
enable bookmark sync for seamonkey and bump compat info (1.70 KB, patch)
2010-08-16 12:54 PDT, Igor Velkov
mconnor: review+
Details | Diff | Splinter Review

Description Igor Velkov 2010-08-09 19:49:22 PDT
Nightly builds of seamonkey now have places subsystem, and can sync bookmarks.
Here http://hg.mozilla.org/services/fx-sync/file/66592025ea61/addon/AddonGlue.js#l66

should be added Svc.DefaultPrefs.set("autoconnectDelay", 30); as for other browsers, and "Bookmarks" should be added to engines list if places engine available.
Comment 1 Igor Velkov 2010-08-09 19:51:29 PDT
Kairo, how to check if places bookmarks available?
Comment 2 Robert Kaiser 2010-08-10 07:19:52 PDT
Hmm, good question. I guess checking for a version equal or greater then 2.1a3 is the cheap possibility, you could also check if PlacesUIUtils.jsm can be imported, but that might be large, as you are running from a JS component here, I'm not sure if we always have an open browser window, so checking for its object is probably bad, but I guess you could fetch nsSuiteGlue and check if it has a "ensurePlacesDefaultQueriesInitialized" member/method as that's a public one we added with this work.
Comment 3 Igor Velkov 2010-08-10 08:30:04 PDT
Maybe, possible to use something like check of presence of provider?
Comment 4 Igor Velkov 2010-08-10 08:46:29 PDT
Something like
var BmkPlaces = true;
try {
   var bms = Cc["@mozilla.org/browser/nav-bookmarks-service;1"].
                getService(Ci.nsINavBookmarksService);
}
catch 
{
    BmkPlaces = false;
}
Comment 5 Robert Kaiser 2010-08-10 09:24:56 PDT
That will always come back true, as this is implemented in toolkit and present in 2.0.x as well.

But maybe we should just always display bookmarks sync and be able to enable it, and just ignore that the synced bookmarks don't show up in builds that don't support them?
Comment 6 Igor Velkov 2010-08-10 10:08:48 PDT
Created attachment 464468 [details] [diff] [review]
enable bookmark sync for seamonkey

Then just enable it.
And also fix delay issue like it done for firefox.
Comment 7 Igor Velkov 2010-08-16 09:21:50 PDT
Created attachment 466329 [details] [diff] [review]
enable bookmark sync for seamonkey and bump compat info
Comment 8 Igor Velkov 2010-08-16 12:54:32 PDT
Created attachment 466400 [details] [diff] [review]
enable bookmark sync for seamonkey and bump compat info

corrected seamonkey compat version to fit AMO
Comment 9 Robert Kaiser 2010-08-17 06:49:56 PDT
Pushed as http://hg.mozilla.org/services/fx-sync/rev/b3d039eaad62 (after merging with the bug 567583 patch I pushed at the same time).

Note You need to log in before you can comment on or make changes to this bug.